/*************************************************************
 * By: Coralys Cubero Rivera
 * Date: 2019
 *************************************************************/

package uprrp.tania;

import android.content.Context;
import android.content.Intent;
import android.os.AsyncTask;
import android.util.Log;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.io.UnsupportedEncodingException;
import java.net.URL;
import java.net.URLConnection;
import java.net.URLEncoder;

public class SendActivateExperienceToServer extends AsyncTask <String, String, String> {

    private Context context;

    public SendActivateExperienceToServer(Context context){
        this.context = context.getApplicationContext();
    }

    @Override
    protected String doInBackground(String... strings) {
        String jsonActivateExperience  = "";

        try {
            jsonActivateExperience = URLEncoder.encode("data", "UTF-8") + "=" + URLEncoder.encode(strings[0], "UTF-8");

        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }

        String serverReply = "";
        BufferedReader serverReader;

        // Send data
        try
        {
            // Defined URL  where to send data
            URL url = new URL("https://tania.uprrp.edu/inscripcionExperiencia.php");

            // Send POST data request
            URLConnection conn = url.openConnection();
            conn.setDoOutput(true);
            OutputStreamWriter wr = new OutputStreamWriter(conn.getOutputStream());
            wr.write(jsonActivateExperience);
            wr.flush();

            // Get the server response
            serverReader = new BufferedReader(new InputStreamReader(conn.getInputStream()));
            StringBuilder serverResponse = new StringBuilder();
            String serverResponseLine;

            // Read Server Response
            while((serverResponseLine = serverReader.readLine()) != null)
            {
                // Append server response in string
                serverResponse.append(serverResponseLine);
            }

            serverReply = serverResponse.toString();
        }
        catch(Exception ex) {
            Log.e("ERROR ACTIVATING EXPERIENCE FOR THE USER", ex.getMessage());
        }

        return serverReply;
    }

    @Override
    protected void onPostExecute(String s) {
        Log.d("ACTIVATE EXPERIENCE RESPOND", "The server's response is: " + s);

        String ss = s.substring(0,6);
        String se = s.substring(0,7);
        if (ss.equals("Succes")){

            try {
                Intent intent = new Intent(context, MainActivity.class);
                intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
                context.startActivity(intent);
            }
            catch (Exception e){
                Log.d("ACTIVATE EXP TO MAIN", e.getMessage());
            }


        }

    }

}
